System 2.0.0.0 4.0.0.0 System.Object

Cryptographic object identifiers consist of a value/name pair. If one property in a pair is set to a known value, the other property is updated automatically to a corresponding value. For example, if the property is set to "1.3.6.1.5.5.7.3.4", the property, which is localized, is set automatically to "Secure Email".

Represents a cryptographic object identifier. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This is the default constructor.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor copies the values of an existing object to a new object.

  Initializes a new instance of the class using the specified object.

  The object identifier information to use to create the new object identifier.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor copies the values of an existing object to a new object.

  Initializes a new instance of the class using a string value of an object.

  An object identifier.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor can be used to copy the values of an existing object. Note that if the Oid value is not recognized, the and parameters are not verified to determine if they correspond to each other. This is because there are object identifiers that the .NET Framework does not recognize, although an application may be able to interpret them.

  Initializes a new instance of the class using the specified value and friendly name.

  The dotted number of the identifier.
  The friendly name of the identifier.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  If one value of an property is set to a known value, the other value of an property is updated automatically to a corresponding value. For example, if the property is set to "Secure Email", the property is set automatically to "1.3.6.1.5.5.7.3.4".

  Gets or sets the friendly name of the identifier.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  If one value of an property is set to a known value, the other value of an property is updated automatically to a corresponding value. For example, if the property is set to "1.3.6.1.5.5.7.3.4", the property is set automatically to "Secure Email".

  Gets or sets the dotted number of the identifier.